Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002095 [DCSS] FR: Interface Improvements minor N/A 2010-07-26 20:05 2014-09-10 16:22
Reporter TGW View Status public  
Assigned To wheals
Priority normal Resolution won't do  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002095: more helpful messages for sacrifice piety
Description Currently, sacrificing a corpse to a blood god gives one of two messages. It can disappear without a sign, or it can flare red and disappear (or something else if you're not of Makhleb), the probability of the latter being, as far as I know, equal to the probability of piety gain from that sacrifice.

This is not helpful. Someone who sees a specific kind of corpse disappear without a sign once or twice in a row will likely get the impression that their god doesn't care much for that sort of corpse. This is likely wrong, and the player may have just been unlucky.

In my opinion, the binary messages should be replaced with a spectrum of messages used depending on the average piety gain from that corpse. This would let the player know accurately their god's actual opinion of the sacrifices.

The giant gecko corpse disappears without a sign.
The giant gecko corpse shimmers slightly and disappears.
The giant gecko corpse flares red and disappears.
The giant gecko corpse flares bright red and disappears.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006591)
Cryptic (developer)
2010-07-26 21:29

Binary sacrifice messages have annoyed me for ages.

+1
(0006592)
minmay (reporter)
2010-07-26 23:12

Put me down as one of the endless people fooled by those messages. Even long AFTER reading mountains of spoilers, at that.

I definitely support this change!
(0009247)
KiloByte (manager)
2010-11-08 22:50

Except that there IS no difference between corpses you sacrifice. So there is simply no information to convey.

You get the "disappear without a sign" message with the likelihood 6/19 for consistency with other gods who show you the piety gain ratio in exactly the same way -- the weak message for +0 but you had a non-zero chance to gain some, the medium message for +1 and the big one for +2 or more (not possible for corpses).
(0009248)
TGW (reporter)
2010-11-08 23:20

If all corpses are the same, why multiple messages? It only serves to confuse. And the problem still exists for Elyvilon and whatever other gods take item sacrifices.
(0009249)
galehar (administrator)
2010-11-08 23:22

Well then maybe we should start by fixing that and make high HD monsters more likely to give piety (especially at high piety). I think this has already been proposed. But anyway, this is an old FR and should be moved to the wiki.
(0027186)
wheals (administrator)
2014-09-10 16:22

I agree with kilobyte -- i'm not sure where the confusion is, but I definitely don't think adding lots of new messages is the best way to deal with confusing ones.

- Issue History
Date Modified Username Field Change
2010-07-26 20:05 TGW New Issue
2010-07-26 21:29 Cryptic Note Added: 0006591
2010-07-26 23:12 minmay Note Added: 0006592
2010-11-08 22:50 KiloByte Note Added: 0009247
2010-11-08 23:20 TGW Note Added: 0009248
2010-11-08 23:22 galehar Note Added: 0009249
2014-09-10 16:22 wheals Note Added: 0027186
2014-09-10 16:22 wheals Status new => resolved
2014-09-10 16:22 wheals Fixed in Branch => 0.16 development branch
2014-09-10 16:22 wheals Resolution open => won't do
2014-09-10 16:22 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker